/*********************************************************************
 *
 *                Microchip USB C18 Firmware - Mouse Demo
 *
 *********************************************************************
 * FileName:        user_mouse.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the CompanyE for its PICmicro Microcontroller is intended and
 * supplied to you, the Companys customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS ISECONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Rawin Rojvanit       11/19/04    Original.
 ********************************************************************/

#ifndef USER_H
#define USER_H

#include "system\typedefs.h"

/** P U B L I C  P R O T O T Y P E S *****************************************/

void UserInit(void);
void ProcessIO(void);
byte KeyIn(void);
byte CheckKeyOn(void);
void CheckKeyOff(void);
void CheckAllClear(void);
void CheckBreak(void);
void Check1Key(void);
void Check2Key(void);
void Check3Key(void);
void KanaN(byte n);
void AscN(byte n);
void PinN(byte n);
void PushAsc(byte Code);
void PushKana(byte Code);
void PushCode22(byte Code);
void PushCode02(byte Code);
void PushCode00(byte Code);
void PushCode10(byte Code);
void PushAsc2(byte Code1, byte Code2);
void PushAsc3(byte Code1, byte Code2, byte Code3);
void PushAsc4(byte Code1, byte Code2, byte Code3, byte Code4);
void PushAsc5(byte Code1, byte Code2, byte Code3, byte Code4, byte Code5);
void PushAscL(byte Code);
void PushCode0(void);
void PushKana2(byte Code1, byte Code2);
void PushKana3(byte Code1, byte Code2, byte Code3);
void PushCode(byte Data, byte shift, byte kana);
void SetKey(byte Ep);
void SetMouse(byte Ep);
void MouseIn(void);
void CountDown(void);
void CapsOff(void);
void CapsToggle(void);
void NumLockToggle(void);
void KanaModeOff(void);
void ShiftOn(void);
byte DelSp(void);
byte YtoI(void);
byte Del(byte Code);
void PushSp(void);
byte DelSpE(void);
void OnDelSp(void);
void Wait(int ms);
byte DelSp2(byte C3, byte C2);
byte Last2(byte C3, byte C2);
void PinOff(void);

#endif //USER_H
